import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Worldplay3 here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Worldplay3 extends World
{
    int health;
    int life;
    int score;
    int level;
    private GreenfootSound musik = new GreenfootSound("open.mp3");
    
    public void started()
    {
        musik.setVolume(75);
        musik.play();
    }
    
    public Worldplay3()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 600, 1); 

        prepare();
        health=3;
        life=3;
        level=3;
        score=0;
        tampilan();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Aktor3 aktor = new Aktor3();
        addObject(aktor, 258, 302);
        Musuh musuh = new Musuh();
        addObject(musuh, 74, 320);
        removeObject(musuh);
        aktor.setLocation(371, 282);
    }
    
    public void act()
    {
        muncul();
        munculgelembung();
    }
    
    private void muncul()
    {
        if(level==3 && score<25 && life!=0){
            int x = 10 - getWidth();
            int y = Greenfoot.getRandomNumber(getHeight());
            int OutDuration = Greenfoot.getRandomNumber(500);
            if(OutDuration < 10){
                addObject(new Musuh(), x, y);
            }
            int a = 10 - getWidth();
            int b = Greenfoot.getRandomNumber(getHeight());
            int Durasimakan = Greenfoot.getRandomNumber(500);
            if(Durasimakan < 10){
                addObject(new Makan(), a, b);
            }
            int p = 10 - getWidth();
            int q = Greenfoot.getRandomNumber(getHeight());
            int Durasired = Greenfoot.getRandomNumber(500);
            if(Durasired < 10){
                addObject(new Red(), p, q);
            }
            int c = getWidth() + 10;
            int d = Greenfoot.getRandomNumber(getHeight());
            int Durasi = Greenfoot.getRandomNumber(10000);
            if(Durasi < 5){
                addObject(new Health(), c, d);
            }
            int e = getWidth() + 10;
            int f = Greenfoot.getRandomNumber(getHeight());
            int watu = Greenfoot.getRandomNumber(2500);
            if(watu < 10){
                addObject(new Batu(), e, f);
            }
            int g = getWidth() + 10;
            int h = Greenfoot.getRandomNumber(getHeight());
            int hiu = Greenfoot.getRandomNumber(10000);
            if(hiu < 10){
                addObject(new Hiu(), g, h);
            }
        }
    }
    
    private void munculgelembung()
    {
        int x = Greenfoot.getRandomNumber(800);
        int y = getHeight()+600;
        int OutDuration = Greenfoot.getRandomNumber(1000);
        if(OutDuration < 10){
            addObject(new Gelembung(), x, y);
        }
    }
    
    public void healthlife(int healthplus)
    {
        health+=healthplus;
        tampilan();
        if(health==0){
            life--;
            health=3;
            tampilan();
            if(life==0){
                health=0;
                Greenfoot.playSound("kalah.mp3");
                addObject(new Over(), 400, 250);
                addObject(new Playagain(), 200, 400);
                addObject(new Menu(), 600, 400);
                musik.stop();
            }
        }
        tampilan();
    }
    
    public void score()
    {
        score++;
        if(score==25){
            Greenfoot.playSound("FF_CAPT.WAV");
            addObject(new Win(), 400, 250);
            addObject(new Playagain(), 200, 500);
            addObject(new Menu(), 600, 500);
        }
        tampilan();
    }
    
    private void tampilan()
    {
        showText("HEALTH : "+health,100,30);
        showText("LIFE : "+life,200,30);
        showText("SCORE : "+score,700,30);
        showText("LEVEL : "+level,400,30);
    }
}